#
# spec file for package vacuum-im-plugins-usertune
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%define app_name vacuum-im
Name:           vacuum-im-plugins-usertune
Version:        1.1.3
Release:        1.27
Summary:        Vacuum-IM User Tune Handler plugin
License:        GPL-3.0-only
Group:          Productivity/Networking/Instant Messenger
Url:            http://www.vacuum-im.org/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  libQt5Core-devel
BuildRequires:  libQt5DBus-devel
BuildRequires:  libQt5Gui-devel
BuildRequires:  libQt5Xml-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  vacuum-im-devel
BuildRequires:  xz

%description
This plugin provides support to XEP-0118: defines a payload format for
communicating information about music to which a user is listening, including
the title, track number, collection, performer, composer, length, and user
rating. The payload format is typically transported using the personal eventing
protocol, a profile of XMPP publish-subscribe specified in XEP-0163.

%prep
%setup -q -n %{name}

%build
%cmake \
	 -DINSTALL_LIB_DIR=%{_lib}\
	 -DINSTALL_APP_DIR=%{app_name}\
	 -DINSTALL_DOC_DIR=%{_defaultdocdir}\
	 -DVACUUM_LIB_PATH=%{_prefix}/%{_lib}\
	 -DVACUUM_SDK_PATH=%{_includedir}/%{app_name}
make %{?_smp_mflags} V=1

%install
%cmake_install

%fdupes %{buildroot}%{_datadir}

%files
%{_libdir}/%{app_name}
%dir %{_libdir}/%{app_name}/plugins
%{_datadir}/%{app_name}

%changelog
* Tue Jun  5 2018 egdfree@opensuse.org
- update to 1.1.3
  * add support for Qt 5.11
  * tune icon don't show in roster
  * add field to show stored player name
* Sun Dec 10 2017 jengelh@inai.de
- Rectify RPM group.
* Sun Dec 25 2016 egdfree@opensuse.org
- update source to 1.1.0
  * port to Qt5
* Fri Apr 24 2015 egdfree@opensuse.org
- update source to 1.0.10
  * support Vacuum-IM SDKv35
* Sun Oct 26 2014 egdfree@opensuse.org
- update to 1.0.9
  * sync last changes in vacuum-im (required libvacuumutils33)
* Sun Aug 17 2014 egdfree@opensuse.org
- update source
  * sync with last changes in vacuum-im
* Sun Sep 22 2013 egdfree@opensuse.org
- update to 1.0.8
  * fix label postion
* Sat Aug 31 2013 egdfree@opensuse.org
- update to 1.0.7
  * fix Segmentation fault
  * replace some methods to const version
* Sat Jun  1 2013 egdfree@opensuse.org
- update to 1.0.6
  * send now playing info like action (/me ...)
* Sun Apr 28 2013 egdfree@opensuse.org
- update to 1.0.5
  * sync changes in IMessageEditWidget class from vacuum source
* Fri Mar 29 2013 egdfree@opensuse.org
- update to 1.0.4
  * sync changes in vacuum-sdk
* Sun Feb 17 2013 egdfree@opensuse.org
- update to 1.0.3
  * fixed show label in roster
* Sat Jan 26 2013 egdfree@opensuse.org
- update to 1.0.2
  * fixed memory leek
  * Initialize send PEP after allow it in settings
  * Get metadata from player after start plugin
  * Rewrite MPRISv2 code
* Sat Jan  5 2013 egdfree@opensuse.org
- update to 1.0.1
  * fixes on options ui
  * sync changes in vacuum-sdk
* Mon Oct 29 2012 egdfree@opensuse.org
- update to 1.0.0
  * big code refactoring (add perfomance and minimize memory usage)
  * added NDR_TOOLTIP in notifications.
* Sat Oct 27 2012 egdfree@opensuse.org
- update to 0.9.9
  * code refactoring (add perfomance)
  * add command np
* Fri Oct 19 2012 egdfree@opensuse.org
- update to 0.9.8
  * add settings to allow or deny send info about playing music
* Sun Sep 16 2012 egdfree@opensuse.org
- update to 0.9.7
  * added support player manage command (like /play, /pause, /stop etc)
  * support new CMake rules in Vacuum-SDK
* Sun Jun 10 2012 egdfree@opensuse.org
- fix
  * crash after set fetchersNone
* Tue May 22 2012 egdfree@opensuse.org
- update
  * not send <length/> if track length not know
  * delay 2 seconds before send tune
* Tue May  8 2012 egdfree@opensuse.org
- update to 0.9.4
  * add options UI
  * support mpris v1 and v2
  * add fixes and stability patches
* Sat Mar 10 2012 egdfree@opensuse.org
- initial
